* French keyboard, error messages and serial translate table

 include 'main_inc'
 include 'auto_inc'
qdos equ 'F'

* Keyboard with compose characters
* +---+ +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
*                                                          
* |   | |  | ! | " | # | $ | % | ' | & | * | ( | ) | _ | + |/"\| ` |
* | F1| |ESC| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 | - | = |/^\|  |
* +---+ +---+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
*                                                 
* |   | | TAB | A | Z | E | R | T | Y | U | I | O | P | \ |  |   |
* | F2| |     |   |   |   |   |   |   |   |   |   |   |  |  | | |
* +---+ +-----++--++--++--++--++--++--++--++--++--++--++--++--+ | |
*                                                   
* |   | | CAPS | Q | S | D | F | G | H | J | K | L | M | / | /__/ |
* | F3| | LOCK |   |   |   |   |   |   |   |   |   |   |  | \    |
* +---+ +------+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------+
*                                                    
* |   | |  //\\  | W | X | C | V | B | N | < | > | : | ? |  //\\  |
* | F4| |   ||   |   |   |   |   |   |   | , | . | ; |  |   ||   |
* +---+ +------+-+-+-+-+-+---+---+---+---+---+---+-+-+-+-+-+------+
*                                                     
* |   | |      |/__|__\|                           |/|\| | |      |
* | F5| | CTRL |\  |  /|                           | | |\|/| ALT  |
* +---+ +------+---+---+---------------------------+---+---+------+

keytab                         dc.l $781858B8
        dc.l $76165699,$888F3F9F,$6E0E4EAE,$2E8E3E9E
 dc.l $387C2A8A,$329D22A0,$364027BE,$610141A1
        dc.l $650545A5,$305D2989,$741454B4,$751555B5
 dc.l $395B2892,$7A1A5A98,$69BB49A9,$09E1FDE3
        dc.l $721252B2,$2D7B5FBF,$791959B9,$6F0F4FAF
 dc.l $6C0C4CAC,$33932380,$680848A8,$31912181
        dc.l $711151B1,$701050B0,$640444A4,$6A0A4AAA
 dc.l $83BC5C96,$E0E2E4E6,$6B0B4BAB,$731353B3
        dc.l $660646A6,$3D7D2B8B,$670747A7,$6D0D4DAD
 dc.l $90BDB61D,$771757B7,$3B9B3A95,$630343A3
        dc.l $620242A2,$D95EDB1E,$2C8C3C9C,$8D872F82
 dc.l $0AE5FEE7,$C0C2C4C6,$D0D2D4D6,$1B007F1F
        dc.l $C8CACCCE,$9A7E601C,$20DDFCDF,$D8DADCDE
 dc.l $F4F5F6F7,$E8E9EAEB,$35972585,$ECEDEEEF
        dc.l $F0F1F2F3,$F8F9FAFB,$34942484,$37BA2686

compr   dc.b    ''
scnt    equ     *-compr
        dc.b    ''
pcnt    equ     *-compr-scnt
        dc.b    '' UK `
        dc.b    '' UK SHIFT/`
dcnt    equ     *-compr-scnt
        ds.b    dcnt&1 needed to make sure of getting onto word boundary
compb   dc.b    '?!*YCN)%UADTLMPF_+`',$C4,$CC,$D4,$DC
        dc.b    '///\/OOOO\'
        dc.b    'A.E.I.O.U.' UK `
compa   dc.b    ',A,E,I,O,U' UK SHIFT/`
compx

tb_msg msghead
 msg {'operation non termine'},10
 msg {'tche invalide'},10
 msg {'hors capacit memoire'},10
 msg {'sortie des limites'},10
 msg {'tampon plein'},10
 msg {'canal non ouvert'},10
 msg {'non trouv'},10
 msg {'existe dj'},10
 msg {'en usage'},10
 msg {'fin de fichier'},10
 msg {'lecteur plein'},10
 msg {'nom incorrect'},10
 msg {'erreur de transmission'},10
 msg {'defaillance dans le formatage'},10
 msg {'mauvais paramtre'},10
 msg {' erreur de support'},10
 msg {'erreur dans l'},39,{'expression'},10
 msg {'dpassement de capacit'},10
 msg {'commande non repertorie ...'},10
 msg {'lecture uniquement'},10
 msg {'ligne incorrecte'},10
 msg {' la ligne n '}
 msg {' secteurs'},10
 msg {' F1/F2 .. moniteur/TV '},10 \
     {' F3/F4 .. double scr_ '},10 \
     {' 128K=SHIFT  -ROM=CTRL'}
 msg {'  The QView Mega Corporation!'}
 msg {' pendant l'},39,{'excution de WHEN'},10
 msg {'PROC/FN effaces'},10
x28 dc.b 'DimLunMarMerJeuVenSam'
x29 dc.b 'JanFvMarAvrMaiJunJulAoSepOctNovDc'

tb_trn trtab
 trs  91 '('
 trs ']' ')'
 trs '`' '#'
 trs '{' '('
 trs '}' ')'
 tro '' 'a','~'
 tro '' 'a',91 open bracket
 trs '' '{'
 tro '' 'o','~'
 tro '' 'o','/'
 tro '' 'u','~'
 trs '' 92 backslash
 tro '' 'a',39 single quote
 tro '' 'a','`'
 tro '' 'a','^'
 tro '' 'e','~'
 trs '' '}'
 tro '' 'e','^'
 tro '' 'i','~'
 tro '' 'i',39 single quote
 tro '' 'i','`'
 tro '' 'i','^'
 tro '' 'o',39 single quote
 tro '' 'o','`'
 tro '' 'o','^'
 tro '' 'u',39 single quote
 trs '' '|'
 tro '' 'u','^'
 trs '' '`'
 tro '' 'A',91 open bracket
 tro '' 'O','/'
 tro '' 'C',44 comma
 trs '' ']'
 trs '' 91 open bracket
 batrt

 end
