* German keyboard, error messages and serial translate table

 include 'main_inc'
 include 'auto_inc'
qdos equ 'G'

* Keyboard with compose characters
* +---+ +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
*                                                         
*                                           
* |   | |  | ! | " |  | $ | % | & | / | ( | ) | = | ? | ' | ^ | > |
* | F1| |ESC| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 |  | # | \ | < |
* +---+ +---+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
*                                               
*                                                
* |   | |     |   |   |   |   |   |   |   |   |   |   |   | * |   |
* | F2| | TAB | Q | W | E | R | T | Z | U | I | O | P |  | + | | |
* +---+ +-----++--++--++--++--++--++--++--++--++--++--++--++--+ | |
*                                                     
*                                               
* |   | | CAPS |   |   |   |   |   |   |   |   |   |   |   | /__/ |
* | F3| | LOCK | A | S | D | F | G | H | J | K | L |  |  | \    |
* +---+ +------+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------+
*                                     
* |   | |  //\\  |   |   |   |   |   |   |   | ; | : | _ |  //\\  |
* | F4| |   ||   | Y | X | C | V | B | N | M | , | . | - |   ||   |
* +---+ +------+-+-+-+-+-+---+---+---+---+---+---+-+-+-+-+-+------+
*                                                     
* |   | |      |/__|__\|                           |/|\| | |      |
* | F5| | CTRL |\  |  /|                           | | |\|/| ALT  |
* +---+ +------+---+---+---------------------------+---+---+------+

keytab                         dc.l $781858B8
        dc.l $76165690,$2D8F5F9F,$6E0E4EAE,$2C8C3B97
 dc.l $387C288A,$329222BC,$369626BE,$711151B1
        dc.l $650545A5,$305D3D89,$741454B4,$751555B5
 dc.l $395B2988,$771757B7,$690949A9,$09E1FDE3
        dc.l $721252B2,$9C7B3FBF,$7A1A5ABA,$6F0F4FAF
 dc.l $6C0C4CAC,$3393B683,$680848A8,$31912181
        dc.l $610141A1,$701050B0,$64044498,$6A0A4AAA
 dc.l $87BBA71B,$E0E2E4E6,$6B0B4BAB,$731353B3
        dc.l $660646A6,$237D278B,$6707479D,$849BA49A
 dc.l $2BBD2A1D,$791959B9,$2E8E3A9E,$630343A3
        dc.l $620242A2,$5C405E1E,$6D0D4DAD,$8099A082
 dc.l $0AE5FEE7,$C0C2C4C6,$D0D2D4D6,$1B007F1F
        dc.l $C8CACCCE,$3C7E3E1C,$20DDFCDF,$D8DADCDE
 dc.l $F4F5F6F7,$E8E9EAEB,$35952585,$ECEDEEEF
        dc.l $F0F1F2F3,$F8F9FAFB,$3494248D,$37602F86

compr   dc.b    ''
scnt    equ     *-compr
        dc.b    ''
pcnt    equ     *-compr-scnt
        dc.b    '' no first auto compose key
        dc.b    '' no second auto compose key
dcnt    equ     *-compr-scnt
        ds.b    dcnt&1 needed to make sure of getting onto word boundary
compb   dc.b    '*?!$YOCN=ADTLMPF()^',39,$C4,$CC,$D4,$DC
        dc.b    '>/&%EE/E&E%E"I/I&I%I">/&%E/&%'
        dc.b    '' no first auto compose key
compa   dc.b    '' no second auto compose key
compx

tb_msg msghead
 msg {'Abgebrochen'},10
 msg {'Fehlerhafter JOB'},10
 msg {'Speicherberlauf'},10
 msg {'Bereichsberlauf'},10
 msg {'Puffer Voll'},10
 msg {'Kanal nicht Erffnet'},10
 msg {'Nicht Gefunden'},10
 msg {'Existiert Bereits'},10
 msg {'In Bearbeitung'},10
 msg {'Dateiende'},10
 msg {'Datentrger Voll'},10
 msg {'Ungltige Bezeichnung'},10
 msg {'bertragungsfehler'},10
 msg {'Formatierungsfehler'},10
 msg {'Ungltiger PARAMETER'},10
 msg {' Fehlerhafter Datentrger'},10
 msg {'Fehler im Ausdruck'},10
 msg {'berlauf'},10
 msg {'Nicht Implementiert ...'},10
 msg {'Nur lesen'},10
 msg {'Syntax-Fehler'},10
 msg {'in Zeile '}
 msg {' Sektoren'},10
 msg {' F1/F2 fr Monitor/TV '},10 \
     {' F3/F4 2. Bildschiren '},10 \
     {' 128K+SHIFT Nicht+CTRL'}
 msg {'  The QView Mega Corporation!'}
 msg {'whrend WHEN Verarbeitung'},10
 msg {'PROC/FN Gelscht'},10
x28 dc.b 'SonMonDieMitDonFreSam'
x29 dc.b 'JanFebMrAprMaiJunJulAugSepOktNovDez'

tb_trn trtab
 trs '@','?'
 trs 91,'?' open bracket
 trs 92,'?' backslash
 trs ']','?'
 trs '`','?'
 trs '{','?'
 trs '|','?'
 trs '}','?'
 trs '~','?'
 trs '','?'
 trs '','{'
 trs '','|'
 trs '','}'
 trs '','~'
 trs '','`'
 trs '',91 open bracket
 trs '',92 backslash
 trs '',']'
 trs '','@'
 batrt

 end
