* Spanish keyboard, error messages and serial translate table

 include 'main_inc'
 include 'auto_inc'
qdos equ 'E'

* Keyboard with compose characters
* +---+ +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
*                           @   \   |                  {   }
* |   | |  |  |  | # | $ | % | / | & | * | ( | ) | _ | + |  |  |
* | F1| |ESC| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 | - | = | [ | ] |
* +---+ +---+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
*                                                  
*                                               
* |   | | sTB | Q | W | E | R | T | Y | U | I | O | P | " | ^ |   |
* | F2| | TAB |   |   |   |   |   |   |   |   |   |   |/\\|/\| | |
* +---+ +-----++--++--++--++--++--++--++--++--++--++--++--++--+ | |
*               
*                                             `  ~
* |   | | CAPS | A | S | D | F | G | H | J | K | L |  | : | /__/ |
* | F3| | LOCK |   |   |   |   |   |   |   |   |   |   | ; | \    |
* +---+ +------+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------+
*                          
* |   | |  //\\  | Z | X | C | V | B | N | M | ? | ! | > |  //\\  |
* | F4| |   ||   |   |   |   |   |   |   |   | , | . | < |   ||   |
* +---+ +------+-+-+-+-+-+---+---+---+---+---+---+-+-+-+-+-+------+
*                                                     
* |   | |      |/__|__\|                           |/|\| | |      |
* | F5| | CTRL |\  |  /|                           | | |\|/| ALT  |
* +---+ +------+---+---+---------------------------+---+---+------+

keytab                         dc.l $781858B8
        dc.l $761656B6,$3C9D3EA0,$6E0E4E93,$2C8C3F9C
 dc.l $38402A8B,$32ADB482,$36B12F86,$71115190
        dc.l $650545A5,$307C29BB,$74145496,$751555B5
 dc.l $395C288D,$771757B7,$69094997,$09E1FDE3
        dc.l $72125280,$2D605F1C,$791959B9,$6F0F4F94
 dc.l $6C0C4C91,$33AE2383,$680848A8,$31ACB381
        dc.l $610141A1,$70105095,$640444A4,$6A0A4AAA
 dc.l $D92722BE,$E0E2E4E6,$6B0B4BAB,$7313538F
        dc.l $660646A6,$3D7B2B1E,$670747A7,$899BA998
 dc.l $DB9F5EBF,$7A1A5ABA,$2E8E219E,$630343A3
        dc.l $620242A2,$5B7D881B,$6D0D4D92,$3BBD3ABC
 dc.l $0AE5FEE7,$C0C2C4C6,$D0D2D4D6,$1B007F1F
        dc.l $C8CACCCE,$5D7E871D,$20DDFCDF,$D8DADCDE
 dc.l $F4F5F6F7,$E8E9EAEB,$35B02585,$ECEDEEEF
        dc.l $F0F1F2F3,$F8F9FAFB,$34AF2484,$37B2268A

compr   dc.b    '@\|{}`'
scnt    equ     *-compr
        dc.b    '~'
pcnt    equ     *-compr-scnt
        dc.b    '' UK open bracket give auto acute
        dc.b    '' UK close bracket gives auto grave
dcnt    equ     *-compr-scnt
        ds.b    dcnt&1 needed to make sure of getting onto word boundary
compb   dc.b    '$%/&*()_+YSLC',$C4,$CC,$D4,$DC
        dc.b    'OEAEE"E^U"U^I"I^OOO"O^AOA"A^AO'
        dc.b    'A.E.I.O.U.' UK open bracket give auto acute
compa   dc.b    ',A,E,I,O,U' UK close bracket gives auto grave
compx

tb_msg msghead
 msg {' no finalizado'} 10
 msg {'tarea invlida'} 10
 msg {'sin memoria'} 10
 msg {'fuera de rango'} 10
 msg {'buffer lleno'} 10
 msg {'canal no abierto'} 10
 msg {'no encontrado'} 10
 msg {'ya existe'} 10
 msg {'en uso'} 10
 msg {'fin de fichero'} 10
 msg {'drive lleno'} 10
 msg {'nombre incorrecto'} 10
 msg {'error de transmisin'} 10
 msg {'fallo en inicializacin'} 10
 msg {'parmetro incorrecto'} 10
 msg {' medio incorrecto'} 10
 msg {'expresin errnea'} 10
 msg {'desbordamiento'} 10
 msg {'no implementado'} 10
 msg {'slo lectura'} 10
 msg {'lnea incorrecta'} 10
 msg {'En lnea '}
 msg {' sectores'} 10
 msg {' F1/F2 ..  monitor/TV '},10 \
     {' F3/F4 ..   2 * scr_  '},10 \
     {' 128K=SHIFT  -ROM=CTRL'}
 msg {'  The QView Mega Corporation!'}
 msg {'durante una ejecucin WHEN'} 10
 msg {'PROC/FN limpiado'} 10
x28 dc.b 'SunMonTueWedThuFriSat'
x29 dc.b 'JanFebMarAprMayJunJulAugSepOctNovDec'

tb_trn trtab
 trs 91  '(' open bracket
 trs ']' ')'
 trs '`' '#'
 trs '{' '('
 trs '}' ')'
 tro '' '@','0'
 tro '' 'a','{'
 tro '' 'a','~'
 tro '' 'e',39 single quote
 tro '' 'o','{'
 tro '' 'o','~'
 tro '' 'o','/'
 tro '' 'u','{'
 tro '' 'c',44 comma
 trs '' '|'
 tro '' 'a',39 single quote
 tro '' 'a','`'
 tro '' 'a','^'
 tro '' 'e','{'
 tro '' 'e','`'
 tro '' 'e','^'
 tro '' 'i','{'
 tro '' 'i',39 single quote
 tro '' 'i','`'
 tro '' 'i','^'
 tro '' 'o',39 single quote
 tro '' 'o','`'
 tro '' 'o','^'
 tro '' 'u',39 single quote
 tro '' 'u','`'
 tro '' 'u','^'
 trs '' '`'
 tro '' 'O','/'
 tro '' 'C',44 comma
 trs '' 92 backslash
 trs '' 91 open bracket
 trs '' ']'
 batrt

 end
