* British keyboard, error messages and serial translate table

 include 'main_inc'
 include 'auto_inc'
qdos equ '.'

* Keyboard with compose characters
* +---+ +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
*                                                      
* |   | |  | ! | @ | # | $ | % | ^ | & | * | ( | ) | _ | + | ~ | | |
* |F1 | |ESC| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 | - | = | ` | \ |
* +---+ +---+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
*                                       
*                                      
* |   | |     | Q | W | E | R | T | Y | U | I | O | P | { | } |   |
* |F2 | | TAB | q | w | e | r | t | y | u | i | o | p | [ | ] | | |
* +---+ +-----++--++--++--++--++--++--++--++--++--++--++--++--+ | |
*               
*                                            
* |   | | CAPS | A | S | D | F | G | H | J | K | L | : | " | /__/ |
* |F3 | | LOCK | a | s | d | f | g | h | j | k | l | ; | ' | \    |
* +---+ +------+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------+
*                                            
* |   | |  //\\  | Z | X | C | V | B | N | M | < | > | ? |  //\\  |
* |F4 | |   ||   | z | x | c | v | b | n | m | , | . | / |   ||   |
* +---+ +------+-+-+-+-+-+---+---+---+---+---+---+-+-+-+-+-+------+
*                                                     
* |   | | CTRL |/__|__\|                           |/|\| | | ALT  |
* |F5 | |      |\  |  /|            SPC            | | |\|/|      |
* +---+ +------+---+---+---------------------------+---+---+------+

keytab                         dc.l $781858B8
        dc.l $761656B6,$2F8F3F9F,$6E0E4EAE,$2C8C3C9C
 dc.l $38982A8A,$329240A0,$36965EBE,$711151B1
        dc.l $650545A5,$30902989,$741454B4,$751555B5
 dc.l $39992888,$771757B7,$690949A9,$09E1FDE3
        dc.l $721252B2,$2D8D5FBF,$791959B9,$6F0F4FAF
 dc.l $6C0C4CAC,$33932383,$680848A8,$31912181
        dc.l $610141A1,$701050B0,$640444A4,$6A0A4AAA
 dc.l $5BBB7B1B,$E0E2E0E6,$6B0B4BAB,$731353B3
        dc.l $660646A6,$3D9D2B8B,$670747A7,$3B9B3A9A
 dc.l $5DBD7D1D,$7A1A5ABA,$2E8E3E9E,$630343A3
        dc.l $620242A2,$60007E1E,$6D0D4DAD,$27872282
 dc.l $0AE5FEE7,$C0C2C4C6,$D0D2D4D6,$1B807F1F
        dc.l $C8CACCCE,$5CBC7C1C,$20DDFCDF,$D8DADCDE
 dc.l $F4F5F6F7,$E8E9EAEB,$35952585,$ECEDEEEF
        dc.l $F0F1F2F3,$F8F9FAFB,$34942484,$37972686

compr   dc.b    ''
scnt    equ     *-compr
        dc.b    ''
        dc.b    ''
        dc.b    ''
pcnt    equ     *-compr-scnt
        dc.b    '' no first auto compose key
        dc.b    '' no second auto compose key
dcnt    equ     *-compr-scnt
        ds.b    dcnt&1 needed to make sure of getting onto word boundary
compb   dc.b    $C4,$CC,$D4,$DC
        dc.b    'A?A|A^E:E|E^I:I?I|I^O?O|O^U?U|U^SSC!Y_||'
        dc.b    'A:A~AOE?O:O~O!U:C<N~AEOE'
        dc.b    'AADDTTLLMMPIPH!!??TMPPOX<<>>OO:_'
        dc.b    '' no first auto compose key
compa   dc.b    '' no second auto compose key
compx

tb_msg msghead
 msg {'not complete'} 10
 msg {'invalid Job'} 10
 msg {'out of memory'} 10
 msg {'out of range'} 10
 msg {'buffer full'} 10
 msg {'channel not open'} 10
 msg {'not found'} 10
 msg {'already exists'} 10
 msg {'in use'} 10
 msg {'end of file'} 10
 msg {'drive full'} 10
 msg {'bad name'} 10
 msg {'Xmit error'} 10
 msg {'format failed'} 10
 msg {'bad parameter'} 10
 msg {'bad or changed medium'} 10
 msg {'error in expression'} 10
 msg {'overflow'} 10
 msg {'not implemented yet'} 10
 msg {'read only'} 10
 msg {'bad line'} 10
 msg {'At line '}
 msg {' sectors'} 10
 msg {' F1/F2 sets monitor/TV'} 10\
     {' F3/F4 for dual screen'} 10\
     {' 128K+SHIFT  dumb+CTRL'}
 msg {'  The QView Mega Corporation!'}
 msg {'during WHEN processing'} 10
 msg {'PROC/FN cleared'} 10
X28 dc.b 'SunMonTueWedThuFriSat'
X29 dc.b 'JanFebMarAprMayJunJulAugSepOctNovDec'

tb_trn trtab
 batrt

 end
