* Finnish keyboard, error messages and serial translate table

 include 'main_inc'
 include 'sing_inc'
qdos equ 'Y'

* Keyboard with compose characters
* +---+ +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
*                                                    
* |   | | @ | ! | " | # | $ | % | & | / | ( | ) | = | ? | [ | ] | > |
* | F2| |ESC| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 | + | ' | | | < |
* +---+ +---+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
*                                                    
* |   | ||<-  | Q | W | E | R | T | Y | U | I | O | P |  | ^ |   |
* | F2| |  ->||   |   |   |   |   |   |   |   |   |   |   | * | | |
* +---+ +-----++--++--++--++--++--++--++--++--++--++--++--++--+ | |
*                                                  
* |   | LUKITUS| A | S | D | F | G | H | J | K | L |  |  | /__/ |
* | F3| |      |   |   |   |   |   |   |   |   |   |   |   | \    |
* +---+ +------+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------+
*                                               
* |   | | VAIHTO | Z | X | C | V | B | N | M | ; | : | _ | VAIHTO |
* | F4| |        |   |   |   |   |   |   |   | , | . | - |        |
* +---+ +------+-+-+-+-+-+---+---+---+---+---+---+-+-+-+-+-+------+
*                                                     
* |   | |      |/__|__\|                           |/|\| | |      |
* | F5| |OHJAUS|\  |  /|                           | | |\|/|DIIRTO|
* +---+ +------+---+---+---------------------------+---+---+------+

comptab      dc.b '',000,'','',''    x /n,
 dc.b '','','',000,'','','','' 826 e0tu
 dc.b '',000,000,000,000,'','','' 9    -yo
 dc.b '','',000,'','','','',000 l3 1apd
 dc.b '',000,000,'','','',000,'' C  sf= ;
 dc.b '',000,'','','','','','' ] .cb`m'
 dc.b 000,'','',000,'','',000,''  LU RB D
 dc.b 000,000,'',000,000,000,'',''   5   47

keytab                         dc.l $781858B8
        dc.l $761656B6,$2D8D5FBB,$6E0E4EAE,$2C8C3B9C
 dc.l $3898288A,$32922299,$36962690,$711151B1
        dc.l $650545A5,$305C3D89,$741454B4,$751555B5
 dc.l $397F2988,$771757B7,$690949A9,$09E1FDE3
        dc.l $721252B2,$2B603F1C,$791959B9,$6F0F4FAF
 dc.l $6C0C4CAC,$33932383,$680848A8,$31912181
        dc.l $610141A1,$701050B0,$640444A4,$6A0A4AAA
 dc.l $82BCA2BE,$E0E2E4E6,$6B0B4BAB,$731353B3
        dc.l $660646A6,$277B5B8B,$670747A7,$848FA49B
 dc.l $2ABD5EBF,$7A1A5ABA,$2E8E3A9E,$630343A3
        dc.l $6202429A,$7C7D5D1D,$6D0D4DAD,$809DA09F
 dc.l $0AE5FEE7,$C0C2C4C6,$D0D2D4D6,$1B00401F
        dc.l $C8CACCCE,$3C7E3E1E,$20DDFCDF,$D8DADCDE
 dc.l $F4F5F6F7,$E8E9EAEB,$35952585,$ECEDEEEF
        dc.l $F0F1F2F3,$F8F9FAFB,$34942487,$37972F86

tb_msg msghead
 msg {'eptydellinen'},10
 msg {'epkelpo ty'},10
 msg {'muisti lopussa'},10
 msg {'ulkopuolella'},10
 msg {'puskuri tynn'},10
 msg {'kanava avaamatta'},10
 msg {'ei lydy'},10
 msg {'jo olemassa'},10
 msg {'varattu'},10
 msg {'tiedosto lopussa'},10
 msg {'asema tynn'},10
 msg {'huono nimi'},10
 msg {'siirtovirhe'},10
 msg {'alustusvirhe'},10
 msg {'huono parametri'},10
 msg {' huono vline'},10
 msg {'lausekevirhe'},10
 msg {'ylitys'},10
 msg {'ei kytss ...'},10
 msg {'vain luku'},10
 msg {'huono rivi'},10
 msg {'Rivill '}
 msg {' sektoria'},10
 msg {' F1/F2 -> monitori/TV '},10 \
     {' F3/F4 ----> 2 * scr_ '},10 \
     {' 128K:SHIFT  -ROM:CTRL'}
 msg {'  The QView Mega Corporation!'}
 msg {' WHEN - rutiinin aikana'},10
 msg {'PROC/FN nollattu'},10
x28 dc.b 'SunMonTueWedThuFriSat'
x29 dc.b 'JanFebMarAprMayJunJulAugSepOctNovDec'

tb_trn trtab
 trs '','{'
 trs '','}'
 trs '','`'
 trs '','|'
 trs '','~'
 trs '',91 open bracket
 trs '',']'
 trs '','@'
 trs '',92 backslash
 trs '','^'
 trs '','$'
 batrt

 end
