* Italian keyboard, error messages and serial translate table

 include 'main_inc'
 include 'auto_inc'
qdos equ 'I'

* Keyboard with compose and important top row CTRL characters
* +---+ +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
*                                                    
*                                              
* |   | |  | # |  | " | ' | ( | _ |  | ^ |  |  | \ | + |  | > |
* |F1 | |ESC| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 | ) | - | * | < |
*                                 @   `   |   [   ]   {   }       ~
* +---+ +---+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
*                                                    
* |   | |     | Q | Z | E | R | T | Y | U | I | O | P | = | & |   |
* |F2 | | TAB | q | z | e | r | t | y | u | i | o | p |  | $ | | |
* +---+ +-----++--++--++--++--++--++--++--++--++--++--++--++--+ | |
*                                                 
* |   | | CAPS | A | S | D | F | G | H | J | K | L | M | % | /__/ |
* |F3 | | LOCK | a | s | d | f | g | h | j | k | l | m |  | \ ^J |
* +---+ +------+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------+
*                                               
* |   | |  //\\  | W | X | C | V | B | N | ? | . | / | ! |  //\\  |
* |F4 | |   ||   | w | x | c | v | b | n | , | ; | : |  |   ||   |
* +---+ +------+-+-+-+-+-+---+---+---+---+---+---+-+-+-+-+-+------+
*                                                     
* |   | | CTRL |/__|__\|                           |/|\| | | ALT  |
* |F5 | |      |\  |  /|                           | | |\|/|      |
* +---+ +------+---+---+---------------------------+---+---+------+

keytab                         dc.l $781858B8
        dc.l $76165699,$97BA218E,$6E0E4EAE,$3B9B2E95
 dc.l $387C5E1E,$32BC8392,$36405F86,$711151B1
        dc.l $650545A5,$305D8D89,$741454B4,$751555B5
 dc.l $395B888A,$7A1A5A98,$690949A9,$09E1FDE3
        dc.l $721252B2,$297B5CBE,$791959B9,$6F0F4FAF
 dc.l $6C0C4CAC,$33932284,$680848A8,$31912381
        dc.l $610141A1,$701050B0,$640444A4,$6A0A4AAA
 dc.l $949D3D8B,$E0E2E4E6,$6B0B4BAB,$731353B3
        dc.l $660646A6,$2D7D2BBF,$670747A7,$6D0D4DAD
 dc.l $24802683,$771757B7,$3A8F2F96,$630343A3
        dc.l $620242A2,$2A8CB69F,$2C9E3F9C,$9ABB251C
 dc.l $0AE5FEE7,$C0C2C4C6,$D0D2D4D6,$1B007F1F
        dc.l $C8CACCCE,$3C7E3EA0,$20DDFCDF,$D8DADCDE
 dc.l $F4F5F6F7,$E8E9EAEB,$35BD2885,$ECEDEEEF
        dc.l $F0F1F2F3,$F8F9FAFB,$34872782,$3760901D

compr   dc.b    ''
scnt    equ     *-compr
        dc.b    ''
pcnt    equ     *-compr-scnt
        dc.b    '' no first auto compose key
        dc.b    '' no second auto compose key
dcnt    equ     *-compr-scnt
        ds.b    dcnt&1 needed to make sure of getting onto word boundary
compb   dc.b    '+#?.&YONABSDTLMPF(\/',$C4,$CC,$D4,$DC
        dc.b    '"',39,'^>"^="=',39,'=^!"!',39,'!!^!>%"%',39,'%^'
        dc.b    '' no first auto compose key
compa   dc.b    '' no second auto compose key
compx

tb_msg msghead
 msg {'operazione interrotta'} 10
 msg {'lavoro non valido'} 10
 msg {'superata capacit di memoria'} 10
 msg {'fuori dimensioni'} 10
 msg {'buffer pieno'} 10
 msg {'canale non aperto'} 10
 msg {'file non trovato'} 10
 msg {'file gi esistente'} 10
 msg {'file ancora aperto'} 10
 msg {'fine del file'} 10
 msg {'disco pieno'} 10
 msg {'comando scorretto'} 10
 msg {'errore di trasmissione'} 10
 msg {'formattazione non riuscita'} 10
 msg {'parametro scorretto'} 10
 msg {'disco danneggiato'} 10
 msg {'espressione scorretta'} 10
 msg {'eccedenza valori limite'} 10
 msg {'non disponibile'} 10
 msg {'protetto in scrittura'} 10
 msg {'errore di sintassi'} 10
 msg {'alla linea '}
 msg {' settori'} 10
 msg {' F1/F2 --> monitor/TV '},10 \
     {' F3/F4 -> doppio scr_ '},10 \
     {' 128K=SHIFT  -ROM=CTRL'}
 msg {'  The QView Mega Corporation!'}
 msg {'all'} 39 {'interno di un WHEN'} 10
 msg {'PROC/FN non definita'} 10
X28 dc.b 'DomLunMarMerGioVenSab'
X29 dc.b 'GenFebMarAprMagGiuLugAgoSetOttNovDic'

tb_trn trtab
 trs 21,''
 trs 91,'(' open bracket
 trs ']',')'
 trs '`','#'
 trs '{','('
 trs '}',')'
 tro '','@','0'
 tro '','a',91 open bracket
 tro '','e',39 quote
 tro '','o','/'
 tro '','c',44 comma
 tro '','a',39 quote
 trs '','{'
 tro '','a','^'
 trs '','}'
 tro '','e','^'
 tro '','i',39 quote
 trs '','~'
 tro '','i','^'
 tro '','o',39 quote
 trs '','|'
 tro '','o','^'
 tro '','u',39 quote
 trs '','`'
 tro '','u','^'
 tro '','A',91 open bracket
 tro '','O','/'
 tro '','C',44 comma
 trs '',91 open bracket
 batrt

 end
