* Swedish keyboard, error messages and serial translate table

 include 'main_inc'
 include 'auto_inc'
qdos equ 'B'

* Keyboard with compose characters
* +---+ +---+---+---+---+---+---+---+---+---+---+---+---+---+---+---+
*                                                       
*                                           
* |   | | @ | ! | " | # | $ | % | & | / | ( | ) | = | ? | [ | ] | > |
* | F1| |ESC| 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 0 | + | ' | | | < |
* +---+ +---+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
*                                   
*                                              
* |   | |     |   |   |   |   |   |   |   |   |   |   |   | ^ |   |
* | F2| | TAB | Q | W | E | R | T | Y | U | I | O | P |  | * | | |
* +---+ +-----++--++--++--++--++--++--++--++--++--++--++--++--+ | |
*                                                     
*                                              
* |   | | CAPS |   |   |   |   |   |   |   |   |   |   |   | /__/ |
* | F3| | LOCK | A | S | D | F | G | H | J | K | L |  |  | \    |
* +---+ +------+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------+
*                                     
*                                       
* |   | |  //\\  |   |   |   |   |   |   |   | ; | : | _ |  //\\  |
* | F4| |   ||   | Z | X | C | V | B | N | M | , | . | - |   ||   |
* +---+ +------+-+-+-+-+-+---+---+---+---+---+---+-+-+-+-+-+------+
*                                                     
* |   | |      |/__|__\|                           |/|\| | |      |
* | F5| | CTRL |\  |  /|                           | | |\|/| ALT  |
* +---+ +------+---+---+---------------------------+---+---+------+

keytab                         dc.l $781858B8
        dc.l $761656B6,$2D8D5FBB,$6E0E4EAE,$2C8C3B9C
 dc.l $3898288A,$32922299,$36962690,$711151B1
        dc.l $650545A5,$305C3D89,$741454B4,$751555B5
 dc.l $397F2988,$771757B7,$690949A9,$09E1FDE3
        dc.l $721252B2,$2B603F1C,$791959B9,$6F0F4FAF
 dc.l $6C0C4CAC,$33932383,$680848A8,$31912181
        dc.l $610141A1,$701050B0,$640444A4,$6A0A4AAA
 dc.l $82BCA2BE,$E0E2E4E6,$6B0B4BAB,$731353B3
        dc.l $660646A6,$277B5B8B,$670747A7,$848FA49B
 dc.l $2ABD5EBF,$7A1A5ABA,$2E8E3A9E,$630343A3
        dc.l $6202429A,$7C7D5D1D,$6D0D4DAD,$809DA09F
 dc.l $0AE5FEE7,$C0C2C4C6,$D0D2D4D6,$1B00401F
        dc.l $C8CACCCE,$3C7E3E1E,$20DDFCDF,$D8DADCDE
 dc.l $F4F5F6F7,$E8E9EAEB,$35952585,$ECEDEEEF
        dc.l $F0F1F2F3,$F8F9FAFB,$34942487,$37972F86

compr   dc.b    ''
scnt    equ     *-compr
        dc.b    ''
pcnt    equ     *-compr-scnt
        dc.b    '' no first auto compose key
        dc.b    '' no second auto compose key
dcnt    equ     *-compr-scnt
        ds.b    dcnt&1 needed to make sure of getting onto word boundary
compb   dc.b    '@^#?!$YCN=ABDTLMPFSQ()',91,$C4,$CC,$D4,$DC
        dc.b    '>/&%EE/E&E%E"I/I&I%I">/&%EU/U&U%U"'
        dc.b    '' no first auto compose key
compa   dc.b    '' no second auto compose key
compx

tb_msg msghead
 msg {'ej frdig'} 10
 msg {'fel i jobb'} 10
 msg {'minne slut'} 10
 msg {'utom omrde'} 10
 msg {'buffer full'} 10
 msg {'oppnad kanal'} 10
 msg {'hittar ej'} 10
 msg {'finns redan'} 10
 msg {'anvnds redan'} 10
 msg {'fil slut'} 10
 msg {'full kassett'} 10
 msg {'namnfel'} 10
 msg {'RS-232 fel'} 10
 msg {'ej formaterbar'} 10
 msg {'parameterfel'} 10
 msg {' mediafel'} 10
 msg {'fel i uttryck'} 10
 msg {'fr stort tal'} 10
 msg {'anvnds ej'} 10
 msg {'endast lsning'} 10
 msg {'fel form'} 10
 msg {'P rad '}
 msg {' sektorer'} 10
 msg {'   F1/F2 Monitor/TV   '},10 \
                {'   F3/F4 + 2 screen   '},10 \
                {' 128K:SHIFT -ROM:CTRL '}
 msg {'  The QView Mega Corporation!'}
 msg {'WHEN under bearbetning'} 10
 msg {'PROC/FN raderad'} 10
x28 dc.b 'SnMnTisOnsTorFreLr'
x29 dc.b 'JanFebMarAprMajJunJulAugSepOktNovDec'

tb_trn trtab
 trs '','{'
 trs '','}'
 trs '','`'
 trs '','|'
 trs '','~'
 trs '',91 open bracket
 trs '',']'
 trs '','@'
 trs '',92 backslash
 trs '','^'
 trs '','$'
 batrt

 end
