7200 :
7205 REMark i2c_io4$ is debug substitute for i2c_io
7210 REMark samples on ports 0..3 as a string, or null string on error
7220 REMark $$external
7230 DEFine FuNction READ_adc$(address):LOCal addr%,a$
7240  addr%=test_adc_addr%(address):IF addr%<0:RETurn ''
7250  a$=I2C_IO(CHR$(160)&CHR$(4)&CHR$(1)&CHR$(178)&CHR$(3)&CHR$(156)&CHR$(255),4,addr%,1)
7260  REMark 160 is send START+device, write from control (length 1 is preset), no STOP
7280  REMark first 4 is the ADC control to select mode of operation
7285 REMark 1 will be the first acknowledged byte count
7300  REMark 178 is send START+device, read 1 acknowleged byte to register - ie lose duff old sample.
7305  REMark 3 will be the acknowledged read byte count
7307  REMark 156 is read 3 acknowledged bytes to buffer, read one more byte to buffer without acknowledge, send STOP
7310  REMark 255 is standard finish
7330  RETurn a$:END DEFine
7400 :
7410 REMark non-zero error code on error
7420 REMark $$external
7430 DEFine FuNction WRITE_adc%(address,x$):LOCal addr%
7440  addr%=test_adc_addr%(address):IF addr%<0:RETurn addr%
7450  RETurn CODE(I2C_IO(CHR$(160)&CHR$(68)&x$&CHR$(255),0,addr%,x$(0)+1))
7460  REMark 160 is send START+device, write from control buffer (length LEN(x$)+1 is preset)
7470  REMark 68 is the ADC control byte
7480  REMark x$ is the string itself
7490  REMark 255 is the standard finish
7500  END DEFine
7600 :
7610 REMark parallel port input or negative error code
7620 REMark $$external
7630 DEFine FuNction ACCESS_par%(address,mask):LOCal addr%,a$
7640  addr%=test_par_addr%(address):IF addr%<0:RETurn addr%
7650  IF isnum%(mask)
7660   IF NOT mask:RETurn wr_par%:REMark mask zero, so just zero par
7670   IF NOT inrange%(-128,mask,255):RETurn -4:REMark out of range
7680   IF INT(mask)=mask:RETurn CODE(I2C_IO(CHR$(160)&CHR$(mask)&CHR$(188)&CHR$(255),1,addr%,1))
7690   REMark length set to one
7700   REMark 160 is send start/device, write from control buffer
7710   REMark mask data byte sent
7720   REMark 188 is send start/device, read data buffer (just a single non-acknowledged byte, as counter has been zeroed), STOP
7730   REMark 255=standard wind up
7740   END IF :RETurn -15:END DEFine
7800 :
7810 REMark parallel port input or negative error code
7820 REMark $$external
7830 DEFine FuNction READ_par%(address):LOCal addr%,a$
7840  addr%=test_par_addr%(address):IF addr%<0:RETurn addr%
7850  RETurn CODE(I2C_IO(CHR$(188)&CHR$(255),1,addr%,0))
7860  REMark acknowledged bytes length set to zero
7870  REMark 188 is send START/device, read (single non-acknowledged byte) to data buffer, STOP
7880  REMark 255=standard wind up
7890  END DEFine
7900 :
7910 REMark non-zero error code on error
7920 REMark $$external
7930 DEFine FuNction WRITE_par%(address,mask):LOCal addr%
7940  addr%=test_par_addr%(address):IF addr%<0:RETurn addr%
7950  IF NOT isnum%(mask):RETurn -15:REMark bad parameter
7960  IF NOT inrange%(-128,mask,255):RETurn -4:REMark out of range
7970  RETurn wr_par%:END DEFine
8000 :
8010 DEFine FuNction wr_par%
8020  RETurn I2C_IO(CHR$(164)&CHR$(mask)&CHR$(255),0,addr%,1)<>''
8030  REMark device addr%, zero return bytes, counter preset to 1
8040  REMark 164 is send START+device, write (1 byte) from control buffer, send STOP
8050  REMark mask is the byte to send to the ADC
8060  REMark 255 is the standard wind up
8070  END DEFine
8400 :
8410 REMark DEFine FuNction lenp$(l%):LOCal r%:IF l%:r%=INT(l%/128):RETurn lenp$(r%)&CHR$(l%-r%*128)
8420 REMark  RETurn '':END DEFine
8430 :
8440 DEFine FuNction test_adc_addr%(a):RETurn test_addr%(a,72):END DEFine
8450 :
8460 DEFine FuNction test_par_addr%(a):RETurn test_addr%(a,56):END DEFine
8470 :
8480 DEFine FuNction test_addr%(a,m%):LOCal a%:IF isnum%(a)
8490   IF NOT inrange%(0,a,127):RETurn -4:REMark out of range
8500   IF INT(a)=a
8510    a%=a&&-8:SELect a%=0,m%:RETurn m%||a:REMark OK
8520    RETurn -7:REMark not found
8530    END IF :END IF :RETurn -15:END DEFine
8600 :
8610 REMark ret non-zero if parameter is not valid floating point
8620 DEFine FuNction isnum%(p): LOCal a$,b$,e$,lp,i%:a$=p:REMark only unset will cause a problem
8625 CLS:PRINT 'p=';p
8630  IF LEN(a$)>1:IF a$(1)INSTR'+-':a$=a$(2TO):REMark accept sign+sommat
8640  e$='0':i%='e'INSTR a$:SELect i%=2TO a$(0)-2:e$=a$(i%+1TO):a$=a$(1TO i%-1):IF e$(0)>1:IF e$(1)INSTR'+-':e$=e$(2TO):REMark accept sensible, optionally signed exponent
8650  b$='0':IF a$(0)>1:i%='.'INSTR a$:SELect i%=1:b$=a$(2TO):a$='0':=a$(0):a$=a$(1TO a$(0)-1):=1TO a$(0):b$=a$(i%+1TO):a$=a$(1TO i%-1):REMark accept mantissa with sensible, optional decimal point
8660  a$=a$&b$&e$:REMark recombine parts
8670  FOR i%=1TO a$(0):IF (CODE(a$(i%))-48)DIV 10:RETurn 0:REMark reject any non-digits left
8680  RETurn e$<550AND a$(0):END DEFine :REMark not being too pedantic about huge exponents
8690 :
8700 DEFine FuNction inrange%(l,v,h):RETurn l<=v AND v<=h:END DEFine
8800 :
8810 DEFine PROCedure dcopy(f$,t$):DELETE f$:COPY f$,t$:END DEFine
8820 :
8840 :
9000 :
9010 DEFine FuNction I2C_IO1$(c$):LOCal ir:ir=0:RETurn I2C_IO$(1):END DEFine
9020 :
9030 DEFine FuNction I2C_IO2$(c$,ir):RETurn I2C_IO$(2):END DEFine
9040 :
9050 DEFine FuNction I2C_IO3$(c$,ir,id):RETurn I2C_IO$(3):END DEFine
9060 :
9070 DEFine FuNction I2C_IO4$(c$,ir,id,ip):RETurn I2C_IO$(4):END DEFine
9080 :
9090 DEFine FuNction I2C_IO$(q%):LOCal pc,pr,cd,ud%,cp,up%,i%,j%,lp
9095 PRINT q%
9100  pc=1:pr=0:ud%=1:cd=0:up%=1:cp=0:IF q%>2:ud%=0:cd=id-INT(id/65536)*65536:IF q%=4:up%=0:cp=ip-INT(ip/65536)*65536
9110  IF ir>32764:PRINT'ERROR - return data buffer too long at'!ir
9120 END DEFine
